Bug 463742 - Update version of ppl to 0.10
Update version of ppl to 0.10
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ppl (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Roberto Bagnara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: cloog
  Show dependency treegraph
 
Reported: 2008-09-24 09:47 EDT by Dodji Seketeli
Modified: 2009-05-18 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 16:01:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dodji Seketeli 2008-09-24 09:47:43 EDT
The ppl library has got a new snapshot tarball release.
It's indirectly by current gcc development tree and thus is very important to 
have.

The tarball is at http://www.cs.unipr.it/ppl/Download/ftp/snapshots/ppl-0.10pre27.tar.bz2
Comment 1 Dodji Seketeli 2008-09-28 14:18:40 EDT
So I have updated the ppl spec and srpm to the latest ppl-0.10-pre30 snapshot that got released.

spec file: http://www.seketeli.org/dodji/rpms/ppl/ppl-0.10-0.pre30.spec
srpm: http://www.seketeli.org/dodji/rpms/ppl/ppl-0.10-0.pre30.spec

I hope this helps.
Comment 2 Dodji Seketeli 2008-09-28 14:44:02 EDT
Ooops, the srpm is at: http://www.seketeli.org/dodji/rpms/ppl/ppl-0.10-0.pre30.fc9.src.rpm

Sorry.
Comment 3 Roberto Bagnara 2008-10-31 05:50:47 EDT
I have started working on that.  However, I have problems for which the help of some Fedora packaging expert could speed things up significantly: this would be highly appreciated).
Comment 4 Mamoru TASAKA 2008-11-03 11:20:45 EST
If you have trouble with some packaging issue I would help
you as your sponsor.
Comment 5 Roberto Bagnara 2008-11-03 14:05:11 EST
Hi Mamoru, thanks a lot!

I have a couple of problems with rpmlint.  The first one is that the guidelines in http://fedoraproject.org/wiki/Packaging/Java, say:

  BuildRequires and Requires

At a minimum, Java packages MUST:

BuildRequires: java-devel [>= specific_version] 
BuildRequires:  jpackage-utils

Requires:  java >= specific_version
Requires:  jpackage-utils

But if I do that rpmlint -i complains loudly:

ppl-java.x86_64: E: devel-dependency java-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

Who is right then?

Another worry I have is that PPL 0.10 is a replacement for PPL 0.9: I cannot imagine why one would want to have both versions, but this certainly is not going to work (and I have no idea how to make it work).  Is this OK?

Tomorrow we will release PPL 0.10.  Then I would commit the new ppl.spec file into devel and launch a build.  If it works, I would commit ppl.spec also on F-9 and launch a build there.  If it works, I would do the same for F-8.  And I would stop there.  Does this plan make sense to you?

Thanks again,

    Roberto
Comment 6 Mamoru TASAKA 2008-11-04 11:54:38 EST
Well,

* soname bump
  - rpmsodiff shows:
--------------------------------------------------------
        sonames only in ppl-0.9-25.fc10 [1]:
libppl.so.6     /usr/lib/libppl.so.6.0.0
libppl_c.so.0   /usr/lib/libppl_c.so.0.1.0

        sonames only in ppl-0.10-2.fc10 [2]:
libppl.so.7     /usr/lib/libppl.so.7.0.0
libppl_c.so.2   /usr/lib/libppl_c.so.2.0.0

        no common sonames
--------------------------------------------------------
    So all libraries in ppl binary rpm has soname bump.
    In such case generally speaking you should _not_ release
    the new ppl (0.10) into stable repo (now this means
    F-8, F-9 and even F-10 because F-10 is already frozen).
    If you have some special reason you want to push new
    ppl into F-10/9/8, you must
    - announce it on fedora-devel-list the soname bump
      in new ppl and the reason you want to push new ppl
    - check all packages what packages depend on ppl and
      notify the maintainers of the packages which depend
      on ppl
      (for example by
--------------------------------------------------------
# repoquery --whatrequires libppl.so.6 libppl_c.so.0
--------------------------------------------------------
      !! Fortunately, currently no other packages that ppl itself
        requires ppl package on Fedora, and no packages has
        "Requires: ppl-devel" in srpm.
         So for dependency
         issue it is safe that you update ppl from 0.9 to 0.10
         for now.
    - If no one objects to it you can push new ppl to
      F-10/9/8.

Then:
(In reply to comment #5)
> But if I do that rpmlint -i complains loudly:
> ppl-java.x86_64: E: devel-dependency java-devel
> Your package has a dependency on a devel package but it's not a devel package
> itself.

- This is because your spec file (ppl-0.10-2.fc10) contains:
----------------------------------------------------------
   134  BuildRequires:  java-devel >= 1:1.6.0
   135  BuildRequires:  jpackage-utils
   136  Requires:       java-devel >= 1:1.6.0
   137  Requires:       jpackage-utils
----------------------------------------------------------
  The line 136 should be "Requires: java >= 1:1.6.0".

  Note that on F-8 no package provides "java >= 1:1.6.0".
  F-8 uses "java-1.7.0-icedtea", which has "java = 1.7.0", which
  is lower than "1:1.6.0".

For other issues your spec looks good (if I find some issues
I will tell you about it).
Comment 7 Roberto Bagnara 2008-11-04 12:10:07 EST
Hi Mamoru.

So I goofed, because I already requested update on F-10 and F-9.
I am now trying to see whether I can cancel them before loosing the time of anyone.

Concerning the urgency, I have been pushed hard to make this update because it is required by GCC 4.4.  I mean, I have no personal reasons to update but, judging also from this bug report, I thought Fedora people wanted the update.
Comment 8 Dodji Seketeli 2008-11-04 12:25:03 EST
I would definitely want the ppl 0.10 packaged for gcc 4.4, as I am packaing cloog (and I need a sponsor for that :-) ), that is a required dependency of that version of gcc 4.4.

Cloog depends on ppl 0.10.

Thank you for doing all this by the way.
Comment 9 Mamoru TASAKA 2008-11-04 12:32:48 EST
I see no updates request on F-10/F-9 on bodhi.
(note: on F-10/9 just rebuilding new packages does not mean that
       these packages are pushed automatically in the future.
       You have to submit push requests on bodhi:
       https://admin.fedoraproject.org/updates/ 
       So currently no newly rebuilt ppl packages are pushed into
       repositories)

(In reply to comment #7)
> Concerning the urgency, I have been pushed hard to make this update because it
> is required by GCC 4.4.  I mean, I have no personal reasons to update but,
> judging also from this bug report, I thought Fedora people wanted the update.

IMO in such case pushing new ppl into F-11 is enough. However I don't know
if the submitter of this bug wants new ppl also on older (F-10/9/8) branches.

Dodji, would you want the new ppl (0.10) also on F-10/9/8?
Comment 10 Dodji Seketeli 2008-11-04 12:46:50 EST
> Dodji, would you want the new ppl (0.10) also on F-10/9/8?

I'd say no because gcc 4.4 won't land before F-11. So I don't think we need ppl 0.10 in Fedora versions that are < 11.
Comment 11 Mamoru TASAKA 2008-11-04 13:00:39 EST
(In reply to comment #10)
> > Dodji, would you want the new ppl (0.10) also on F-10/9/8?
> 
> I'd say no because gcc 4.4 won't land before F-11. So I don't think we need ppl
> 0.10 in Fedora versions that are < 11.

Okay, then I think that for now it is better that we wait for mass CVS branching
(which will occur on Friday according to
 https://www.redhat.com/archives/fedora-devel-list/2008-November/msg00179.html ).
After that we can build packages for F-11. For F-10/9/8 IMO it is better to see
if someone else appears who wants new ppl for those branches.

Again currently newly rebuilt ppl packages for F-10/9/8 are never pushed into 
repositories, so, Roberto, if you want to revert for those branches it is
safe now.
Comment 12 Mamoru TASAKA 2008-11-07 13:57:02 EST
Now as mass branching is done and devel/ directly on Fedora CVS targets at
F-11 branch, would you rebuild ppl 0.10 for dist-f11, Roberto?

I guess after that we can close this bug.
Comment 13 Roberto Bagnara 2008-11-07 16:01:10 EST
Done.  If someone wants PPL 0.10 on some previous branch, please let me know.
BTW, I consider it a pity that, with PPL 0.10 out, F-10 ships PPL 0.9 (no longer maintained, inferior from all points of view, ...).
Thanks to all,

   Roberto
Comment 14 Alan Dunn 2009-03-25 15:02:39 EDT
As requested from https://bugzilla.redhat.com/show_bug.cgi?id=490629, I'm interested in having PPL 0.10 in F-9 and F-10 if possible. If anyone has reasons why it shouldn't be there, I would like to know them.

(In reply to comment #13)
> Done.  If someone wants PPL 0.10 on some previous branch, please let me know.
> BTW, I consider it a pity that, with PPL 0.10 out, F-10 ships PPL 0.9 (no
> longer maintained, inferior from all points of view, ...).
> Thanks to all,
> 
>    Roberto
Comment 15 Dodji Seketeli 2009-04-07 10:36:31 EDT
(In reply to comment #13)
> Done.  If someone wants PPL 0.10 on some previous branch, please let me know.
> BTW, I consider it a pity that, with PPL 0.10 out, F-10 ships PPL 0.9 (no
> longer maintained, inferior from all points of view, ...).
> Thanks to all,
> 
>    Roberto  

I second your opinion here. If you could push PPL 0.10 to F-10, I'd happily push cloog-ppl there as well, as cloog-ppl  needs PPL 0.10. cloog-ppl is useful to build gcc 4.4 (from sources at least) so I guess it could be interesting for some hackers to have it there.

Thanks.
Comment 16 Roberto Bagnara 2009-04-07 11:44:57 EDT
Good.  PPL 0.10.1 will be released on April 14, 2009, I hope.  The same day I will build the new RPM packages and push them.
Comment 17 Fedora Update System 2009-04-14 03:57:15 EDT
ppl-0.10.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ppl-0.10.1-1.fc10
Comment 18 Fedora Update System 2009-04-14 05:22:05 EDT
ppl-0.10.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ppl-0.10.1-1.fc9
Comment 19 Fedora Update System 2009-04-18 08:53:42 EDT
ppl-0.10.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ppl-0.10.2-2.fc11
Comment 20 Fedora Update System 2009-04-18 08:54:12 EDT
ppl-0.10.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ppl-0.10.2-1.fc10
Comment 21 Fedora Update System 2009-04-18 08:55:13 EDT
ppl-0.10.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ppl-0.10.2-1.fc9
Comment 22 Fedora Update System 2009-04-27 17:31:13 EDT
ppl-0.10.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-04-27 17:38:46 EDT
ppl-0.10.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-05-18 21:59:04 EDT
ppl-0.10.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.